Start Eval Route
curl --request POST \
--url https://api.trajectory.ai/api/v1/eval/{bench_id}/start \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"display_name": "<string>",
"checkpoint_id": "<string>"
}
'import requests
url = "https://api.trajectory.ai/api/v1/eval/{bench_id}/start"
payload = {
"display_name": "<string>",
"checkpoint_id": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: '<string>', checkpoint_id: '<string>'})
};
fetch('https://api.trajectory.ai/api/v1/eval/{bench_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bench_id": "<string>",
"eval_run_id": "<string>",
"pipeline_run_id": "<string>",
"display_name": "<string>",
"execution_id": "<string>",
"pipeline_name": "<string>",
"experiment_name": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"context": {},
"param": "<string>"
}
}eval
Start Eval Route
POST
/
api
/
v1
/
eval
/
{bench_id}
/
start
Start Eval Route
Authorizations
Organization API key
Path Parameters
Body
application/json
Available options:
Qwen/Qwen3.5-4B, Qwen/Qwen3.5-397B-A17B, Qwen/Qwen3.6-35B-A3B, nvidia/NVIDIA-Nemotron-3-Ultra-550B-A55B-BF16, nvidia/NVIDIA-Nemotron-3-Super-120B-A12B-BF16, nvidia/NVIDIA-Nemotron-3.5-Lightning-30B-A3B-BF16, openai/gpt-5-mini, openai/gpt-5.4-mini, openai/gpt-5.5, anthropic/claude-sonnet-4.6, google/gemini-3.1-pro-preview User-facing name for the evaluation run.
Required string length:
1 - 256When set, evaluate this committed training checkpoint instead of the base model.
Response
Successful Response
Benchmark evaluated by this run.
Evaluation run created for this request.
Pipeline run executing the evaluation.
User-facing name for the evaluation run.
Flyte execution launched for the evaluation.
Pipeline configuration used by the evaluation.
Experiment name assigned to the evaluation.